misc/attica-qt5 - The NetBSD Packages Collection

Qt5 library that implements the Open Collaboration Services API

Attica is a Qt library that implements the Open Collaboration Services
API version 1.6.  The REST API is defined here:
http://freedesktop.org/wiki/Specifications/open-collaboration-services/

It grants easy access to the services such as querying information
about persons and contents.  The library is used in KNewStuff3 as
content provider.  In order to integrate with KDE's Plasma Desktop, a
platform plugin exists in kdebase.

Build dependencies

devel/extra-cmake-modules devel/extra-cmake-modules pkgtools/x11-links x11/xorgproto x11/xcb-proto pkgtools/cwrappers devel/glib2-tools devel/cmake devel/cmake

Runtime dependencies

x11/qt5-qtbase x11/qt5-qtbase

Available binary packages

aarch64:attica-qt5-5.70.0.tgz(NetBSD 9.0)
aarch64:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
aarch64:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
alpha:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
alpha:attica-qt5-5.70.0.tgz(NetBSD 9.0)
alpha:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
earm:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
earmv6hf:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
earmv6hf:attica-qt5-5.70.0.tgz(NetBSD 9.0)
earmv6hf:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
earmv6hf:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
earmv7hf:attica-qt5-5.70.0nb2.tgz(NetBSD 8.0)
earmv7hf:attica-qt5-5.66.0nb2.tgz(NetBSD 8.0)
earmv7hf:attica-qt5-5.70.0.tgz(NetBSD 8.0)
earmv7hf:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
earmv7hf:attica-qt5-5.66.0nb2.tgz(NetBSD 9.0)
earmv7hf:attica-qt5-5.70.0.tgz(NetBSD 9.0)
earmv7hf:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
earmv7hf:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
i386:attica-qt5-5.70.0.tgz(NetBSD 8.0)
i386:attica-qt5-5.70.0nb1.tgz(NetBSD 8.0)
i386:attica-qt5-5.70.0nb2.tgz(NetBSD 8.0)
i386:attica-qt5-5.70.0.tgz(NetBSD 9.0)
i386:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
i386:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
mips64eb:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
mips64eb:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
powerpc:attica-qt5-5.70.0.tgz(NetBSD 8.0)
powerpc:attica-qt5-5.70.0nb1.tgz(NetBSD 8.0)
powerpc:attica-qt5-5.70.0nb2.tgz(NetBSD 8.0)
powerpc:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
powerpc:attica-qt5-5.70.0.tgz(NetBSD 9.0)
powerpc:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
sparc64:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
sparc64:attica-qt5-5.70.0.tgz(NetBSD 9.0)
sparc64:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
x86_64:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
x86_64:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
x86_64:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
x86_64:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
x86_64:attica-qt5-5.70.0nb1.tgz(NetBSD 8.0)
x86_64:attica-qt5-5.70.0.tgz(NetBSD 8.0)
x86_64:attica-qt5-5.70.0nb2.tgz(NetBSD 8.0)
x86_64:attica-qt5-5.70.0.tgz(NetBSD 9.0)
x86_64:attica-qt5-5.70.0nb1.tgz(NetBSD 9.0)
x86_64:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)
x86_64:attica-qt5-5.70.0nb2.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]